" =============================================================================
" URL: https://neutronst4r.xyz
" Filename: autoload/airline/themes/neutronst4r.vim
" Author: neutronst4r
" Email: c7420@posteo.net
" License: GPLv3
" =============================================================================

let g:airline#themes#neutronst4r#palette = {}

    let s:foreground      = [ '#c0caf5',153 ]"
    let s:background      = [ '#1a1b26',234 ]"
    let s:background_alt  = [ '#313348',237 ]"
    let s:background_grey = [ '#888fae',103 ]"
    let s:red             = [ '#e43e7f',168 ]"
    let s:yellow          = [ '#fde559',221 ]"
    let s:green           = [ '#00fff7', 14 ]"
    let s:blue            = [ '#52b0fd', 75 ]"
    let s:purple          = [ '#9617ff', 93 ]"
    let s:orange          = [ '#ff8319',208 ]"
"                                     guifg            guibg                 ctermfg          ctermbg
let s:airline_mode_normal         = [ s:background[0], s:red[0],             s:background[1], s:red[1]           ]
let s:airline_mode_insert         = [ s:background[0], s:green[0],           s:background[1], s:green[1]          ]
let s:airline_mode_replace        = [ s:background[0], s:orange[0],          s:background[1], s:orange[1]             ]
let s:airline_mode_visual         = [ s:background[0], s:blue[0],            s:background[1], s:blue[1]            ]
let s:airline_mode_inactive       = [ s:foreground[0], s:background_grey[0], s:foreground[1], s:background_grey[1] ]
let s:airline_info                = [ s:foreground[0], s:background_grey[0], s:foreground[1], s:background_grey[1] ]
let s:airline_statusline          = [ s:foreground[0], s:background_alt[0],  s:foreground[1], s:background_alt[1]  ]

function! s:neutronst4r_color_map(mode)
    return airline#themes#generate_color_map(a:mode, s:airline_info, s:airline_statusline)
endfunction

let g:airline#themes#neutronst4r#palette.normal = s:neutronst4r_color_map(s:airline_mode_normal)
let g:airline#themes#neutronst4r#palette.insert = s:neutronst4r_color_map(s:airline_mode_insert)
let g:airline#themes#neutronst4r#palette.replace = s:neutronst4r_color_map(s:airline_mode_replace)
let g:airline#themes#neutronst4r#palette.inactive = s:neutronst4r_color_map(s:airline_mode_inactive)
let g:airline#themes#neutronst4r#palette.visual = s:neutronst4r_color_map(s:airline_mode_visual)
let g:airline#themes#neutronst4r#palette.terminal = s:neutronst4r_color_map(s:airline_mode_insert)
let g:airline#themes#neutronst4r#palette.normal.airline_term = s:airline_statusline
let g:airline#themes#neutronst4r#palette.terminal.airline_term = s:airline_statusline
let g:airline#themes#neutronst4r#palette.visual.airline_term = s:airline_statusline