" =============================================================================
" URL: https://neutronst4r.xyz
" Filename: autoload/airline/themes/neutronst4r.vim
" Author: neutronst4r
" Email: c7420@posteo.net
" License: GPLv3
" =============================================================================

let g:colors_name="neutronst4r"
let s:t_Co = exists('&t_Co') && !empty(&t_Co) && &t_Co >= 0 ? &t_Co : -1
set background=dark

if exists("syntax_on")
    syntax reset
endif
hi clear

hi Normal           guifg=#c0caf5  guibg=#1a1b26               cterm=None
hi Comment          guifg=#888fae
hi CursorLine                      guibg=#313348               cterm=None
hi CursorColumn                    guibg=#313348
hi LineNr           guifg=#888fae  guibg=#313348
hi NonText          guifg=#888fae  guibg=#1a1b26

hi Boolean          guifg=#9617ff
hi Character        guifg=#fde559
hi Number           guifg=#9617ff
hi String           guifg=#23cab5
hi Conditional      guifg=#e43e7f                 gui=bold
hi Constant         guifg=#9617ff                 gui=bold
hi Cursor           guifg=#c0caf5
hi Define           guifg=#e0af68
hi DiffAdd          guifg=#00fff7  guibg=#1a1b26
hi DiffChange       guifg=#e0af68  guibg=#1a1b26
hi DiffDelete       guifg=#960050  guibg=#1a1b26
hi DiffText                        guibg=#1a1b26  gui=italic,bold

hi Directory        guifg=#23cab5                 gui=bold
hi Error            guifg=#960050  guibg=#1a1b26
hi ErrorMsg         guifg=#960050  guibg=#1a1b26  gui=bold
hi Exception        guifg=#23cab5                 gui=bold
hi Float            guifg=#9617ff
hi FoldColumn       guifg=#e43e7f  guibg=#c0caf5
hi Folded           guifg=#e43e7f  guibg=#c0caf5
hi Function         guifg=#00fff7
hi Identifier       guifg=#ff8319
hi Ignore           guifg=#808080  guibg=bg

hi Keyword          guifg=#52b0fd                 gui=bold
hi Label            guifg=#fde559                 gui=none
hi Macro            guifg=#e0af68                 gui=italic

hi MatchParen                      guibg=#888fae  gui=bold
hi ModeMsg          guifg=#00fff7
hi MoreMsg          guifg=#00fff7
hi Operator         guifg=#e43e7f

" complete menu
hi Pmenu            guifg=#00fff7  guibg=#c0caf5
hi PmenuSel                        guibg=#808080
hi PmenuSbar                       guibg=#1a1b26
hi PmenuThumb       guifg=#00fff7

hi PreCondit        guifg=#23cab5                 gui=bold
hi PreProc          guifg=#23cab5
hi Question         guifg=#00fff7
hi Repeat           guifg=#e43e7f                 gui=bold
hi Search           guifg=#1a1b26  guibg=#23cab5
hi CurSearch        guifg=#1a1b26  guibg=#f7768e
hi IncSearch        guifg=#23cab5  guibg=#c0caf5

" marks column
hi SignColumn       guifg=#888fae  guibg=#00383a
hi SpecialChar      guifg=#e43e7f                 gui=bold
hi SpecialComment   guifg=#23cab5                 gui=bold
hi Special          guifg=#bf5900  guibg=bg       gui=italic
hi SpecialKey       guifg=#e0af68                 gui=italic
if has("spell")
hi     SpellBad     guisp=#960050                 gui=undercurl
hi     SpellCap     guisp=#9617ff                 gui=undercurl
hi     SpellLocal   guisp=#00fff7                 gui=undercurl
hi     SpellRare    guisp=#c0caf5                 gui=undercurl
endif
hi Statement        guifg=#e43e7f                 gui=bold
hi StatusLine       guifg=#c0caf5  guibg=bg
hi StatusLineNC     guifg=#808080  guibg=bg
hi StorageClass     guifg=#ff8319                 gui=italic
hi Structure        guifg=#2384d3
hi Tag              guifg=#e43e7f                 gui=italic
hi Title            guifg=#f7768e
hi Todo             guifg=#c0caf5  guibg=bg       gui=bold

hi Typedef          guifg=#2384d3
hi Type             guifg=#2384d3                 gui=none
hi Underlined       guifg=#808080                 gui=underline

hi VertSplit        guifg=#c0caf5  guibg=#1a1b26  gui=bold
hi VisualNOS                       guibg=#00383a
hi Visual                          guibg=#00383a
hi WarningMsg       guifg=#e0af68                 gui=bold
hi WildMenu         guifg=#2384d3  guibg=#c0caf5

if s:t_Co >= 256
    hi  Normal          ctermfg=153      ctermbg=234      cterm=None
    hi  Comment         ctermfg=103
    hi  CursorLine                       ctermbg=237      cterm=None
    hi  CursorColumn                     ctermbg=237
    hi  LineNr          ctermfg=103      ctermbg=237
    hi  NonText         ctermfg=103      ctermbg=234

    hi  Boolean         ctermfg=93
    hi  Character       ctermfg=221
    hi  Number          ctermfg=93
    hi  String          ctermfg=43
    hi  Conditional     ctermfg=168
    hi  Constant        ctermfg=93
    hi  Cursor          ctermfg=153
    hi  Define          ctermfg=179
    hi  DiffAdd         ctermfg=14       ctermbg=234
    hi  DiffChange      ctermfg=179      ctermbg=234
    hi  DiffDelete      ctermfg=89       ctermbg=234
    hi  DiffText                         ctermbg=234

    hi  Directory       ctermfg=43
    hi  Error           ctermfg=89       ctermbg=234
    hi  ErrorMsg        ctermfg=89       ctermbg=234
    hi  Exception       ctermfg=43
    hi  Float           ctermfg=93
    hi  FoldColumn      ctermfg=168      ctermbg=153
    hi  Folded          ctermfg=168      ctermbg=153
    hi  Function        ctermfg=14
    hi  Identifier      ctermfg=208
    hi  Ignore          ctermfg=8        ctermbg=bg

    hi  Keyword         ctermfg=75
    hi  Label           ctermfg=221
    hi  Macro           ctermfg=179

    hi  MatchParen                       ctermbg=103
    hi  ModeMsg         ctermfg=14
    hi  MoreMsg         ctermfg=14
    hi  Operator        ctermfg=168

    " complete menu
    hi  Pmenu           ctermfg=14       ctermbg=153
    hi  PmenuSel                         ctermbg=8
    hi  PmenuSbar                        ctermbg=234
    hi  PmenuThumb      ctermfg=14

    hi  PreCondit       ctermfg=43
    hi  PreProc         ctermfg=43
    hi  Question        ctermfg=14
    hi  Repeat          ctermfg=168
    hi  Search          ctermfg=234      ctermbg=43
    hi  CurSearch       ctermfg=234      ctermbg=210
    hi  IncSearch       ctermfg=43       ctermbg=153

    " marks column
    hi  SignColumn      ctermfg=103      ctermbg=236
    hi  SpecialChar     ctermfg=168
    hi  SpecialComment  ctermfg=43
    hi  Special         ctermfg=130      ctermbg=bg
    hi  SpecialKey      ctermfg=179
    if has("spell")
    hi      SpellBad    ctermfg=89
    hi      SpellCap    ctermfg=93
    hi      SpellLocal  ctermfg=14
    hi      SpellRare   ctermfg=153
    endif
    hi  Statement       ctermfg=168
    hi  StatusLine      ctermfg=153      ctermbg=bg
    hi  StatusLineNC    ctermfg=8        ctermbg=bg
    hi  StorageClass    ctermfg=208
    hi  Structure       ctermfg=32
    hi  Tag             ctermfg=168
    hi  Title           ctermfg=210
    hi  Todo            ctermfg=153      ctermbg=bg

    hi  Typedef         ctermfg=32
    hi  Type            ctermfg=32
    hi  Underlined      ctermfg=8

    hi  VertSplit       ctermfg=153      ctermbg=234
    hi  VisualNOS                        ctermbg=236
    hi  Visual                           ctermbg=236
    hi  WarningMsg      ctermfg=179
    hi  WildMenu        ctermfg=32       ctermbg=153
    unlet s:t_Co
    finish
endif